NFT Collections
curl --request GET \
--url https://api.allium.so/api/v1/developer/nfts/collections/{chain} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/developer/nfts/collections/{chain}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/developer/nfts/collections/{chain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{}
],
"cursor": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}NFT Collections
Fetch multiple collections that match the given contract addresses.
GET
/
api
/
v1
/
developer
/
nfts
/
collections
/
{chain}
NFT Collections
Authorizations
Path Parameters
Available options:
ethereum, abstract, apechain, arbitrum, arbitrum-nova, avalanche, base, optimism, polygon, shape, soneium, xai, zero, zora, linea, solana Query Parameters
Addresses of the NFT Contracts to fetch Collections for. This is used for EVM chains.
Collection Symbols of the Solana NFT Collections to fetch. This is only used for Solana.
Was this page helpful?